org.apache.xerces.xs

## Interface LSInputList

All Superinterfaces:
  java.util.Collection, java.lang.Iterable, java.util.List

    public interface LSInputList
    extends java.util.List

The `LSInputList` interface provides the abstraction of an ordered collection of `LSInput`s, without defining or constraining how this collection is implemented.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getLength()` The number of `LSInput`s in the list.
`org.w3c.dom.ls.LSInput` `item(int index)` Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list.

### Methods inherited from interface java.util.List

`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Method Detail

#### getLength

    int getLength()

The number of `LSInput`s in the list. The range of valid child object indices is 0 to `length-1` inclusive.

#### item

    org.w3c.dom.ls.LSInput item(int index)

Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list. The index starts at 0.

Parameters:
  `index` - index into the collection.
Returns:
  The `LSInput` at the `index`th position in the `LSInputList`, or `null` if the index specified is not valid.